/*! Copyright 2023-2025 the gnablib contributors MPL-1.1 */
import { AHashsum32 } from './_AHashsum.js';
export declare class XxHash32 extends AHashsum32 {
    private readonly _state;
    private readonly _b32;
    private readonly _seed;
    constructor(seed?: number);
    protected hash(): void;
    clone(): XxHash32;
    _sum(): number;
    sumIn(): Uint8Array;
    sum32(): number;
}
