/*! Copyright 2023-2025 the gnablib contributors MPL-1.1 */
import { IChecksum } from './interfaces/IChecksum.js';
export declare class Adler32 implements IChecksum {
    private _modSpace;
    private _s1;
    private _s2;
    readonly size = 4;
    private mod;
    write(data: Uint8Array): void;
    sum32(): number;
    sum(): Uint8Array<ArrayBuffer>;
}
