/*! Copyright 2022-2025 the gnablib contributors MPL-1.1 */
import type { IHash } from '../interfaces/IHash.js';
export declare class Md4 implements IHash {
    #private;
    readonly size = 16;
    readonly blockSize = 64;
    private _ingestBytes;
    private _bPos;
    constructor();
    private hash;
    write(data: Uint8Array): void;
    sum(): Uint8Array;
    sumIn(): Uint8Array;
    reset(): void;
    newEmpty(): IHash;
    clone(): Md4;
}
