/*! Copyright 2023-2025 the gnablib contributors MPL-1.1 */
export declare const isLE: boolean;
export declare let asLE: {
    i16(b: Uint8Array, pos?: number, count?: number): void;
    i32(b: Uint8Array, pos?: number, count?: number): void;
    i64(b: Uint8Array, pos?: number, count?: number): void;
    i128(b: Uint8Array, pos?: number, count?: number): void;
    bytes(b: Uint8Array, size: number, pos?: number): void;
    set32(target: Uint8Array, i32Pos: number, b0: number, b1: number, b2: number, b3: number): void;
    minBytes(b: Uint8Array): Uint8Array;
    uintMinBytes(n: number): Uint8Array;
    intMinBytes(n: number): Uint8Array;
};
export declare let asBE: {
    i16(b: Uint8Array, pos?: number, count?: number): void;
    i32(b: Uint8Array, pos?: number, count?: number): void;
    i64(b: Uint8Array, pos?: number, count?: number): void;
    i128(b: Uint8Array, pos?: number, count?: number): void;
    bytes(b: Uint8Array, size: number, pos?: number): void;
    set32(target: Uint8Array, i32Pos: number, b0: number, b1: number, b2: number, b3: number): void;
    minBytes(b: Uint8Array): Uint8Array;
    uintMinBytes(n: number): Uint8Array;
    intMinBytes(n: number): Uint8Array;
};
export declare function asE(isBE: boolean): {
    i16(b: Uint8Array, pos?: number, count?: number): void;
    i32(b: Uint8Array, pos?: number, count?: number): void;
    i64(b: Uint8Array, pos?: number, count?: number): void;
    i128(b: Uint8Array, pos?: number, count?: number): void;
    bytes(b: Uint8Array, size: number, pos?: number): void;
    set32(target: Uint8Array, i32Pos: number, b0: number, b1: number, b2: number, b3: number): void;
    minBytes(b: Uint8Array): Uint8Array;
    uintMinBytes(n: number): Uint8Array;
    intMinBytes(n: number): Uint8Array;
};
