/*! Copyright 2024-2025 the gnablib contributors MPL-1.1 */
import { AByteWriter } from './_AByteWriter.js';
declare const consoleDebugSymbol: unique symbol;
export declare class BitWriter extends AByteWriter {
    protected _bitPtr: number;
    get spaceBits(): number;
    pushNumberBE(n32: number, bits: number): boolean;
    mustPushNumberBE(n32: number, bits: number): void;
    skipBits(count: number): void;
    get [Symbol.toStringTag](): string;
    [consoleDebugSymbol](): string;
    static mount(buff: Uint8Array): BitWriter;
}
export {};
