/*! Copyright 2023-2025 the gnablib contributors MPL-1.1 */
import { ParseProblem } from '../../error/index.js';
export declare function parseDec(input: string): number;
export declare function parseHex(input: string): number;
export declare function sign8(input: number): number;
export declare function sign16(input: number): number;
export declare function sign32(input: number): number;
export declare function glScaleSize(input: number): number;
export declare function toGlScaleBytes(input: number): Uint8Array;
export declare function fromGlScaleBytes(bytes: Uint8Array): [number, number] | ParseProblem;
