/*! Copyright 2024-2025 the gnablib contributors MPL-1.1 */
import { APrng32 } from './APrng32.js';
export declare class Mt19937 extends APrng32<Uint32Array> {
    private _ptr;
    readonly bitGen = 32;
    readonly safeBits = 32;
    protected trueSave(): Uint8Array<ArrayBuffer>;
    private twist;
    private init;
    rawNext(): number;
    get [Symbol.toStringTag](): string;
    static new(saveable?: boolean): Mt19937;
    static seed(seed: number, saveable?: boolean): Mt19937;
    static restore(state: Uint8Array, saveable?: boolean): Mt19937;
}
