/*! Copyright 2024 the gnablib contributors MPL-1.1 */
import { APrng32 } from './APrng32.js';
export declare class Mulberry32 extends APrng32<Uint32Array> {
    readonly bitGen = 32;
    readonly safeBits = 32;
    protected trueSave(): Uint8Array<ArrayBuffer>;
    rawNext(): number;
    get [Symbol.toStringTag](): string;
    static new(saveable?: boolean): Mulberry32;
    static seed(seed: number, saveable?: boolean): Mulberry32;
    static restore(state: Uint8Array, saveable?: boolean): Mulberry32;
}
