/*! Copyright 2025 the gnablib contributors MPL-1.1 */
import { APrng32 } from './APrng32.js';
export declare class Sfc16 extends APrng32<Uint16Array> {
    readonly bitGen = 16;
    readonly safeBits = 16;
    protected trueSave(): Uint8Array<ArrayBuffer>;
    rawNext(): number;
    get [Symbol.toStringTag](): string;
    static new(saveable?: boolean): Sfc16;
    static seed(seed0: number, seed1: number, seed2: number, seed3?: number, saveable?: boolean): Sfc16;
    static restore(state: Uint8Array, saveable?: boolean): Sfc16;
}
