/*! Copyright 2025 the gnablib contributors MPL-1.1 */
import { APrng32 } from './APrng32.js';
export declare class Sfc32 extends APrng32<Uint32Array> {
    readonly bitGen = 32;
    readonly safeBits = 32;
    protected trueSave(): Uint8Array<ArrayBuffer>;
    rawNext(): number;
    get [Symbol.toStringTag](): string;
    static new(saveable?: boolean): Sfc32;
    static seed(seed0: number, seed1: number, seed2?: number, saveable?: boolean): Sfc32;
    static restore(state: Uint8Array, saveable?: boolean): Sfc32;
}
