/*! Copyright 2024-2025 the gnablib contributors MPL-1.1 */
import { APrng32 } from './APrng32.js';
export declare class XorShift128 extends APrng32<Uint32Array> {
    readonly bitGen = 32;
    readonly safeBits = 32;
    protected trueSave(): Uint8Array<ArrayBuffer>;
    rawNext(): number;
    get [Symbol.toStringTag](): string;
    static new(saveable?: boolean): XorShift128;
    static seed(seed0: number, seed1: number, seed2: number, seed3: number, saveable?: boolean): XorShift128;
    static restore(state: Uint8Array, saveable?: boolean): XorShift128;
}
