import { StackEntry } from './StackEntry.js';
declare const consoleDebugSymbol: unique symbol;
export declare class StackTrace {
    readonly entries: StackEntry[];
    constructor(entries: StackEntry[]);
    toString(): string;
    inColor(): string;
    get [Symbol.toStringTag](): string;
    [consoleDebugSymbol](): string;
    static parse(stack: string | undefined, v?: {
        back?: number;
        localOnly?: boolean;
        limit?: number;
    }): StackTrace;
    static new(v?: {
        back?: number;
        localOnly?: boolean;
        limit?: number;
    }): StackTrace;
}
export {};
