/*! Copyright 2023 the gnablib contributors MPL-1.1 */
import { IMatchResult } from "../../primitive/interfaces/IMatchResult.js";
import { WindowStr } from "../../primitive/WindowStr.js";
export interface IBnf {
    get name(): string | undefined;
    get nonPrintable(): boolean;
    get length(): [number, number];
    descr(asHex: boolean): string;
    atStartOf(s: WindowStr): IMatchResult;
    [Symbol.toPrimitive](): string;
}
