/*! Copyright 2023-2024 the gnablib contributors MPL-1.1 */
import { IRandSrc } from './interfaces/IRandSrc.js';
export declare class RandTk {
    private readonly rs;
    constructor(rs: IRandSrc);
    floatBetween(lowInc: number, highExc: number): number;
    intBetween(lowInc: number, highExc: number): number;
    private wtRnd;
    weightedCumulative(weights: number[]): number;
    weightedRelative(weights: number[]): number;
}
