/*! Copyright 2023-2025 the gnablib contributors MPL-1.1 */
import { U64 } from '../primitive/number/U64.js';
import { IChecksum } from './interfaces/IChecksum.js';
export declare class Fletcher64 implements IChecksum {
    private _modSpace;
    private _c0;
    private _c1;
    readonly size = 8;
    private mod;
    write(data: Uint8Array): void;
    sum64(): U64;
    sum(): Uint8Array<ArrayBuffer>;
}
