/*! Copyright 2023-2025 the gnablib contributors MPL-1.1 */
import { IChecksum } from './interfaces/IChecksum.js';
export declare class Crc32 implements IChecksum {
    private _crc;
    readonly size = 4;
    write(data: Uint8Array): void;
    sum32(): number;
    sum(): Uint8Array<ArrayBuffer>;
}
