/*! Copyright 2025 the gnablib contributors MPL-1.1 */
import { IWriter } from '../../primitive/interfaces/IWriter.js';
export interface IChecksum extends IWriter {
    sum(): Uint8Array;
    get size(): number;
    write(data: Uint8Array): void;
}
export interface IHashsum extends IChecksum {
    get blockSize(): number;
    sumIn(): Uint8Array;
    clone(): IHashsum;
}
