/*! Copyright 2023-2024 the gnablib contributors MPL-1.1 */
export declare const fpb16: {
    EPSILON: number;
    MAX_INT: number;
    toBytes: (float16: number) => Uint8Array;
    fromBytesUnsafe: (bytes: Uint8Array, pos: number) => number;
    fromBytes: (bytes: Uint8Array, pos?: number) => number;
};
export declare const fpb32: {
    EPSILON: number;
    MAX_INT: number;
    toBytes: (float32: number) => Uint8Array;
    fromBytesUnsafe: (bytes: Uint8Array, pos: number) => number;
    fromBytes: (bytes: Uint8Array, pos?: number) => number;
};
export declare const fpb64: {
    EPSILON: number;
    MAX_INT: number;
    toBytes: (float64: number) => Uint8Array;
    fromBytesUnsafe: (bytes: Uint8Array, pos: number) => number;
    fromBytes: (bytes: Uint8Array, pos?: number) => number;
};
