/*! Copyright 2023 the gnablib contributors MPL-1.1 */
export interface IFullCrypt {
    get blockSize(): number;
    decryptInto(plain: Uint8Array, enc: Uint8Array): void;
    encryptInto(enc: Uint8Array, plain: Uint8Array): void;
    encryptSize(plainLen: number): number;
}
