/*! Copyright 2023-2024 the gnablib contributors MPL-1.1 */
import type { IHash } from '../interfaces/IHash.js';
export declare function extract(hash: IHash, ikm: Uint8Array, salt?: Uint8Array): Uint8Array;
export declare function expand(hash: IHash, prk: Uint8Array, lenBytes: number, info?: Uint8Array): Uint8Array;
export declare function hkdf(hash: IHash, ikm: Uint8Array, lenBytes: number, salt?: Uint8Array, info?: Uint8Array): Uint8Array;
