/*! Copyright 2023 the gnablib contributors MPL-1.1 */
import { FromBinResult } from '../primitive/FromBinResult.js';
export declare class TableName {
    readonly name: string;
    private readonly _bytes;
    private constructor();
    toJSON(): string;
    toBin(): Uint8Array;
    static fromStr(name: string): TableName;
    static fromUtf8Bytes(utf8bytes: Uint8Array): TableName;
    static fromBin(bin: Uint8Array, pos?: number): FromBinResult<TableName>;
}
