/*! Copyright 2025 the gnablib contributors MPL-1.1 */
import { AByteWriter } from './_AByteWriter.js';
import { IWriter } from './interfaces/IWriter.js';
declare const consoleDebugSymbol: unique symbol;
export declare class ByteWriter extends AByteWriter implements IWriter {
    tryWriteByte(b: number): boolean;
    tryWrite(data: Uint8Array): boolean;
    writeByte(b: number): void;
    write(data: Uint8Array): void;
    sub(len: number, share?: boolean): ByteWriter;
    get [Symbol.toStringTag](): string;
    [consoleDebugSymbol](): string;
    static mount(buff: Uint8Array): ByteWriter;
    static size(byteCount: number): ByteWriter;
}
export {};
