/*! Copyright 2023-2025 the gnablib contributors MPL-1.1 */
declare const consoleDebugSymbol: unique symbol;
export declare class IpV4 {
    readonly bytes: Uint8Array;
    private constructor();
    toString(): string;
    valueOf(): number;
    equals(other: IpV4): boolean;
    get [Symbol.toStringTag](): string;
    [consoleDebugSymbol](): string;
    static fromParts(p0: number, p1: number, p2: number, p3: number): IpV4;
    static fromString(value: string): IpV4;
    static fromInt(value: number): IpV4;
    static fromBytes(bytes: Uint8Array): IpV4;
}
export {};
