/*! Copyright 2024-2025 the gnablib contributors MPL-1.1 */
import { APrng32 } from './APrng32.js';
export declare class MiddleSquare extends APrng32<Uint32Array> {
    private readonly _div;
    private readonly _mod;
    readonly bitGen: number;
    readonly safeBits: number;
    protected constructor(state: Uint32Array, saveable: boolean);
    protected trueSave(): Uint8Array<ArrayBuffer>;
    rawNext(): number;
    get [Symbol.toStringTag](): string;
    static seed(seed: number, n?: number, saveable?: boolean): MiddleSquare;
    static restore(state: Uint8Array, saveable?: boolean): MiddleSquare;
}
