/*! Copyright 2025 the gnablib contributors MPL-1.1 */
import { APrng32 } from './APrng32.js';
export declare class Well512 extends APrng32<Uint32Array> {
    private _ptr;
    readonly bitGen = 32;
    readonly safeBits = 32;
    protected trueSave(): Uint8Array<ArrayBuffer>;
    rawNext(): number;
    get [Symbol.toStringTag](): string;
    static new(saveable?: boolean): Well512;
    static seed(seed0: number, seed1: number, seed2: number, seed3: number, seed4: number, seed5: number, seed6: number, seed7: number, seed8: number, seed9: number, seed10: number, seed11: number, seed12: number, seed13: number, seed14: number, seed15: number, saveable?: boolean): Well512;
    static restore(state: Uint8Array, saveable?: boolean): Well512;
}
