/*! Copyright 2023-2024 the gnablib contributors MPL-1.1 */
import { ILogEntry, ILogOracle, ILogTarget, LogLevel } from './interfaces/ForLog.js';
export declare class LogConsole implements ILogTarget {
    readonly supportColor: boolean;
    constructor(color?: boolean);
    log(entry: ILogEntry): void;
}
export declare class LogFilter implements ILogTarget {
    readonly target: ILogTarget;
    ignoreUnder: LogLevel;
    constructor(target: ILogTarget, ignoreUnder?: LogLevel);
    get supportColor(): boolean;
    log(entry: ILogEntry): void;
}
export declare const log: ILogOracle;
